Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Custom fields Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate   

Description

I'd like to have custom fields that specifically only allow locked versions, and open versions.

For example, for affected/target versions should only be allowed to select locked (released) versions. Otherwise, the user who files

an issue can incorrectly select a FUTURE version as an affected/target version.

Related issues:

Is duplicate of Redmine - Feature #8572: Configuration of which versions (by ... Closed 2011-06-09

History

#1 - 2013-10-11 15:01 - Julien de BOUILLANNE

+1

We have a custom field "fixed versions" multivalued. All the versions are displayed even if the version is closed (we should display only the

locked/open versions)

#2 - 2013-10-12 11:39 - Toshi MARUYAMA

- Category set to Custom fields

#3 - 2013-12-12 05:55 - Dipan Mehta

+1 This is very important. Ideally there should be a check of how the version field should behave.

1. For example, in some cases - only the closed versions should be allowed. e.g. most QA related version tagging - when the bug was discovered,

which verison's code had originally introduced this bug, all behave like 'affected_version' type and hence shouldn't allow open version as selections.

2. On the other hand most part of the planning centered custom fields should be in future only hence might allow the open versions but not the closed

ones where no more code is yet to be written.

3. Finally, of course there could be no limit to whether version can be past/current/future.

While defining the custom field, there should be a flag that shows how the CF should behave as 'close/open/all' etc.

#4 - 2013-12-22 15:57 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Duplicate

Same as #8572, fixed in 2.5.0.

#5 - 2013-12-22 15:57 - Jean-Philippe Lang

- Is duplicate of Defect #15735: OpenID login fails due to CSRF verification added

#6 - 2013-12-22 15:58 - Jean-Philippe Lang

- Is duplicate of deleted (Defect #15735: OpenID login fails due to CSRF verification)

#7 - 2013-12-22 15:58 - Jean-Philippe Lang

- Is duplicate of Feature #8572: Configuration of which versions (by version-status) are shown in version-format custom fields added
